# ipe::Base64Source Class Reference
[Ipe Utilities]

Filter source adding Base64 decoding. More...

`#include <ipeutils.h>`

Inherits ipe::DataSource.

List of all members.

## Public Member Functions

- Base64Source (DataSource &source)
- virtual int getChar ()

## Detailed Description

Filter source adding Base64 decoding.

## Constructor & Destructor Documentation

Base64Source::Base64Source | ( | DataSource & | source | ) |

## Member Function Documentation

int Base64Source::getChar | ( |  | ) | `[virtual]`

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp